Package org.eclipse.wst.xsl.ui.internal.contentoutline

## org.eclipse.wst.xsl.ui.internal.contentoutline
Class JFaceNodeAdapterFactory

    public class JFaceNodeAdapterFactory
    extends AbstractAdapterFactory

An adapter factory to create JFaceNodeAdapters. Use this adapter factory with a JFaceAdapterContentProvider to display DOM nodes in a tree.

## Field Summary

`protected INodeAdapter` | `singletonAdapter`

## Constructor Summary

`JFaceNodeAdapterFactory()`
`JFaceNodeAdapterFactory(java.lang.Object adapterKey , boolean registerAdapters)`
`JFaceNodeAdapterFactory.CMDocumentManagerListenerImpl()`

## Method Summary

`public void` | `addListener(java.lang.Object listener)`
`public INodeAdapterFactory` | `copy()`
`protected INodeAdapter` | `createAdapter(INodeNotifier node)` Create a new JFace adapter for the DOM node passed in
`public java.util.Collection` | `getListeners()` returns "copy" so no one can modify our list. It is a shallow copy.
`protected void` | `initAdapter(INodeAdapter adapter , INodeNotifier node)`
`public void` | `release()`
`public void` | `removeListener(java.lang.Object listener)`

## Field Detail

## singletonAdapter

`protected INodeAdapter singletonAdapter`

## Constructor Detail

## JFaceNodeAdapterFactory

`public JFaceNodeAdapterFactory()`

## JFaceNodeAdapterFactory

`public JFaceNodeAdapterFactory(java.lang.Object adapterKey , boolean registerAdapters)`

## Methods Detail

## addListener

`public void addListener(java.lang.Object listener)`

### Parameters

`listener`

## copy

`public INodeAdapterFactory copy()`

### Returns

`INodeAdapterFactory`

## createAdapter

`protected INodeAdapter createAdapter(INodeNotifier node)`

Create a new JFace adapter for the DOM node passed in

### Parameters

`node`

### Returns

`INodeAdapter`

## getListeners

`public java.util.Collection getListeners()`

returns "copy" so no one can modify our list. It is a shallow copy.

### Returns

`java.util.Collection`

## initAdapter

`protected void initAdapter(INodeAdapter adapter , INodeNotifier node)`

### Parameters

`adapter`

`node`

## release

`public void release()`

## removeListener

`public void removeListener(java.lang.Object listener)`

### Parameters

`listener`